/*
      ___           ___           ___                        ___     
     /  /\         /__/\         /  /\          ___         /  /\    
    /  /:/_        \  \:\       /  /::\        /__/\       /  /:/_   
   /  /:/ /\        \__\:\     /  /:/\:\       \  \:\     /  /:/ /\  
  /  /:/ /::\   ___ /  /::\   /  /:/  \:\       \  \:\   /  /:/ /:/_ 
 /__/:/ /:/\:\ /__/\  /:/\:\ /__/:/ \__\:\  ___  \__\:\ /__/:/ /:/ /\
 \  \:\/:/~/:/ \  \:\/:/__\/ \  \:\ /  /:/ /__/\ |  |:| \  \:\/:/ /:/
  \  \::/ /:/   \  \::/       \  \:\  /:/  \  \:\|  |:|  \  \::/ /:/ 
   \__\/ /:/     \  \:\        \  \:\/:/    \  \:\__|:|   \  \:\/:/  
     /__/:/       \  \:\        \  \::/      \__\::::/     \  \::/   
     \__\/         \__\/         \__\/           ~~~~       \__\/    
                        
			    ___           ___   
			   /  /\         /  /\  
			  /  /:/        /  /:/  
			 /__/::\       /  /:/   
			 \__\/\:\__   /  /::\   
			    \  \:\/\ /__/:/\:\  
			     \__\::/ \__\/  \:\ 
			     /__/:/       \  \:\
			     \__\/         \__\/

*/

#include "setup.h"

void setup_game(void)
{
   // char selected_screen = '\0';
	int error;
	error = 0;


    BITMAP *buffer;

    allegro_init();
	set_color_depth(24);


    //if (set_gfx_mode( GFX_AUTODETECT_FULLSCREEN, 1024, 768, 0, 0) != 0)
    if (set_gfx_mode( GFX_AUTODETECT_WINDOWED, 1024, 768, 0, 0) != 0)
		finish_game();
    install_keyboard();



    /*
    //selecting screen resolution
    while (1)
    {
        textout_centre_ex(screen, font, "Select your resolution:", 320, 200, makecol(0,255,0), -1);
        textout_centre_ex(screen, font, "1: 640 X 480 ", 320, 240, makecol(0,255,0), -1);
        textout_centre_ex(screen, font, "2: 800 X 600 ", 320, 250, makecol(0,255,0), -1);
        textout_centre_ex(screen, font, "3: 1024 X 768", 320, 260, makecol(0,255,0), -1);
        selected_screen = readkey();
        if (selected_screen == '1')
        {
            SELECTED_SW = 640;
            SELECTED_SH = 480;
            break;
        }
        else if (selected_screen == '2')
        {
            SELECTED_SW = 800;
            SELECTED_SH = 600;
            break;
        }
        else if (selected_screen == '3')
        {
            SELECTED_SW = 1024;
            SELECTED_SH = 768;
            break;
        }
    }

    if (set_gfx_mode( GFX_AUTODETECT_WINDOWED, SELECTED_SW,
                      SELECTED_SH , 0, 0) != 0)
		finish_game();*/

    install_sound(DIGI_AUTODETECT,MIDI_AUTODETECT,NULL);
    install_timer();

    buffer = create_bitmap (SCREEN_W, SCREEN_H);

//loading images
    box = load_bitmap("image/box.bmp", NULL);
	if (box == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "box.bmp missing", SCREEN_W/2,
						  20, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	box_at_place = load_bitmap( "image/box_at_place.bmp", NULL);
	if (box_at_place == NULL)

	{
		error = 1;
		textout_centre_ex(buffer, font, "box_at_place.bmp missing", SCREEN_W/2,
						  20, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player = malloc(13*sizeof (BITMAP *));

	player[0] = load_bitmap("image/up_0.bmp", NULL);
	if (player[0] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "up_0.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[1] = load_bitmap("image/up_1.bmp", NULL);
	if (player[1] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "up_1.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[2] = load_bitmap("image/up_2.bmp", NULL);
	if (player[2] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "plup_2ayer.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[3] = load_bitmap("image/right_0.bmp", NULL);
	if (player[3] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "right_0.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[4] = load_bitmap("image/right_1.bmp", NULL);
	if (player[4] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "right_1.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[5] = load_bitmap("image/right_2.bmp", NULL);
	if (player[5] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "right_2.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[6] = load_bitmap("image/down_0.bmp", NULL);
	if (player[6] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "down_0.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[7] = load_bitmap("image/down_1.bmp", NULL);
	if (player[7] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "down_1.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[8] = load_bitmap("image/down_2.bmp", NULL);
	if (player[8] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "down_2.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[9] = load_bitmap("image/left_0.bmp", NULL);
	if (player[9] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "left_0.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[10] = load_bitmap("image/left_1.bmp", NULL);
	if (player[10] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "left_1.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	player[11] = load_bitmap("image/left_2.bmp", NULL);
	if (player[11] == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "left_2.bmp missing", SCREEN_W/2,
						  30, makecol(25/5, 0, 0), makecol(0, 0, 0));
	}

	player[12] = player[0];

	bkg = load_bitmap("image/floor.bmp", NULL);
	if (bkg == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "floor.bmp missing", SCREEN_W/2,
						  30, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	right_place = load_bitmap( "image/right_place.bmp", NULL);
	if (right_place == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "right_place.bmp missing", SCREEN_W/2,
						  40, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	wall = load_bitmap( "image/wall.bmp", NULL);
	if (wall == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "wall.bmp missing", SCREEN_W/2,
						  50, makecol(255, 0, 0), makecol(0, 0, 0));
	}

	back = load_bitmap( "image/back.bmp", NULL);
	if (back == NULL)
	{
		error = 1;
		textout_centre_ex(buffer, font, "back.bmp missing", SCREEN_W/2,
						  50, makecol(255, 0, 0), makecol(0, 0, 0));
	}


	if (error)
	{
		acquire_screen();
		draw_sprite(screen, buffer, 0, 0);
		release_screen();

		rest(3000);
		exit (0);
	}
    //end loading images
}
